Bug 1292794 - Review Request: openstack-magnum - Container Management project for OpenStack
Review Request: openstack-magnum - Container Management project for OpenStack
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: Package Review (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Javier Peña
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1302766
  Show dependency treegraph
 
Reported: 2015-12-18 06:23 EST by Mathieu Velten
Modified: 2016-02-18 06:24 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:24:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mathieu Velten 2015-12-18 06:23:59 EST
Description : Magnum is an OpenStack project which offers container orchestration engines for deploying and managing containers as first class resources in OpenStack.

spec :
https://github.com/MatMaul/openstack-magnum-spec

SRPMS :
https://drive.google.com/folderview?id=0B7T_OjstTokiXy1CSlNxRll6QTA&usp=sharing

the centos7 SRPM is build with the mitaka-on-liberty branch, and the RDO Liberty repo as a dependency.
the f23 SRPM is build with master and is currently missing some dependencies in the official f23 repo (python-os-testr and python-oslo-service).
Comment 1 Javier Peña 2015-12-22 09:50:52 EST
Hi Mathieu,

I have found some issues:

- The spec defines package openstack-magnum, which is required by python-magnum-tests, but there is no %file section for it, so ultimately there is no openstack-magnum RPM created and the package install fails.

- For Delorean import, Version and Release should be XXX, and changelog should be empty, according to https://www.rdoproject.org/packaging/rdo-packaging.html#_differences_between_master_and_rawhide_packaging . Please check the link for other potential differences between master and rawhide packaging.

- (This is optional) it may be possible to enable tests if some dependencies are missing?
Comment 2 Chandan Kumar 2016-01-04 07:46:32 EST
Hello Jpena,

In reply to Javier Peña from comment #1)
> Hi Mathieu,
> 
> I have found some issues:
> 
> - The spec defines package openstack-magnum, which is required by
> python-magnum-tests, but there is no %file section for it, so ultimately
> there is no openstack-magnum RPM created and the package install fails.
> 

As per the spec file, python-magnumclient-tests requires python-magnum which is already there.

Sorry, i might didnot get the questions.


> - For Delorean import, Version and Release should be XXX, and changelog
> should be empty, according to
> https://www.rdoproject.org/packaging/rdo-packaging.
> html#_differences_between_master_and_rawhide_packaging . Please check the
> link for other potential differences between master and rawhide packaging.
> 

Will do that.

> - (This is optional) it may be possible to enable tests if some dependencies
> are missing?

Some of the tests are failing due to older version of fixtures, so, tests are skipped.

Thanks,

Chandan Kumar
Comment 3 Mathieu Velten 2016-01-04 08:20:15 EST
Hi Javier,

I replaced some Requires:openstack-magnum with Requires:python-magnum which is indeed the correct one :)
I also changed the versioning to XXX.
Comment 4 Mathieu Velten 2016-01-05 10:30:36 EST
and here is a build on rawhide (f23 doesn't have the python-oslo-service package)
http://koji.fedoraproject.org/koji/taskinfo?taskID=12420104

it is based on the mitaka-on-liberty branch which has a patch to revert some code incompatible with the liberty dependencies currently available.

Unfortunately the tests are all failing with the same error in oslo_config, I don't really understand why : perhaps there is some missing test config file.
However the produced packages seems to run fine.
Comment 5 Javier Peña 2016-01-07 08:03:11 EST
Thanks for the update. I have been doing some checks today, and it looks like the tests issue is caused by an old version of python-fixtures, so we'll have to leave them as is for now.

About the spec itself, you will need to change the %prep section to use the following line:

%setup -q -n %{service}-%{upstream_version}

upstream_version is defined by Delorean, see https://www.rdoproject.org/packaging/rdo-packaging.html#_differences_between_master_and_rawhide_packaging for details.

The rest looks fine, I would only suggest to verify the Requires as I see some requirements missing (python-neutronclient).
Comment 6 Mathieu Velten 2016-01-07 12:36:06 EST
Is it not the same since the Version: XXX is replaced by delorean ?
if not should I also use %{upstream_version} in the Requires of the defined packages ?

I will have a look at the dependencies, thanks.
Comment 7 Javier Peña 2016-01-07 12:46:37 EST
(In reply to Mathieu Velten from comment #6)
> Is it not the same since the Version: XXX is replaced by delorean ?
> if not should I also use %{upstream_version} in the Requires of the defined
> packages ?

Internally, Delorean will replace XXX with the upstream version, and that will be part of the %{upstream_version} macro. If the spec does not use it, Delorean will fail in the %prep section, because python setup.py sdist will have the version in %{upstream_version} and not %{version}.

There is no need to use %{upstream_version} in Requires, only in %prep.
Comment 8 Mathieu Velten 2016-01-11 05:46:14 EST
Hi,

Ok so I replaced with %{upstream_version} and I checked the dependencies : they should now be fully in line with Mitaka M1 (git tag 1.1.0) release. However according to the test run (https://kojipkgs.fedoraproject.org//work/tasks/6396/12496396/build.log) it looks like I need to put all the Requires as BuildRequires so the tests can be executed, is it the normal way to do ?
Comment 9 Javier Peña 2016-01-11 12:23:47 EST
Hi Mathieu,

It is common that you need to put all Requires as BuildRequires to run tests, that shows tests are comprehensive enough :).
Comment 10 Mathieu Velten 2016-01-12 11:14:39 EST
Ok I was more talking about a macro or something to avoid manual copy-paste and errors :)

I will add the BuildRequires today so we can move on.
Comment 11 Chandan Kumar 2016-01-22 10:16:39 EST
Hello Jpena,

Do we need anything more from ourside to get this package approved?

Thanks,

Chandan Kumar
Comment 12 Javier Peña 2016-01-22 14:21:35 EST
I was waiting for confirmation from Mathieu that the additional BuildRequires were included. Are they in already?
Comment 13 Mathieu Velten 2016-01-25 04:18:00 EST
Sorry forgot to comment, I did add the BuildRequires so it should be fine.
Comment 14 Javier Peña 2016-01-26 08:47:28 EST
Thanks for the changes. This is the result of fedora-review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: Cannot find COPYING in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 180 files have unknown license. Detailed output of
     licensecheck in /tmp/magnum/review-openstack-magnum/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/logrotate.d
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     http://tarballs.openstack.org/magnum/magnum-1.1.1.dev306.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     magnum , openstack-magnum-common , openstack-magnum-conductor ,
     openstack-magnum-api , openstack-magnum-doc , python-magnum-tests
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-magnum-1.1.1.dev306-1.noarch.rpm
          openstack-magnum-common-1.1.1.dev306-1.noarch.rpm
          openstack-magnum-conductor-1.1.1.dev306-1.noarch.rpm
          openstack-magnum-api-1.1.1.dev306-1.noarch.rpm
          openstack-magnum-doc-1.1.1.dev306-1.noarch.rpm
          python-magnum-tests-1.1.1.dev306-1.noarch.rpm
          openstack-magnum-1.1.1.dev306-1.src.rpm
python-magnum.noarch: E: explicit-lib-dependency python-urllib3
python-magnum.noarch: E: no-changelogname-tag
python-magnum.noarch: W: no-documentation
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/network-service.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/network-config-service.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/network-service.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/cfn-signal.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/add-proxy.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/configure-kubernetes-master.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/configure-docker-storage.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/remove-docker-key.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/enable-kube-proxy-master.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/configure-etcd.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/write-kube-os-config.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/write-network-config.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/make-cert-client.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/make-cert.py 644 /usr/bin/python
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/make-cert.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/enable-docker-registry.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/configure-etcd.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/configure-docker-storage.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/mesos/fragments/start-services-slave.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/configure-flannel.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/configure-kubernetes-minion.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/configure-docker-registry.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/mesos/fragments/start-services-master.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/write-network-config.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/enable-etcd.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/write-swarm-agent-service.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/write-swarm-master-service.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/mesos/fragments/write-heat-params-master.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/mesos/fragments/add-proxy.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/kube-system-namespace-service.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/enable-services-minion.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/network-config-service.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/add-proxy.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/enable-services.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/mesos/fragments/configure-mesos-master.sh 644 /bin/bash
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/enable-services-master.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/kube-ui-service.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/write-docker-service.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/mesos/fragments/configure-mesos-slave.sh 644 /bin/bash
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/enable-kube-proxy-minion.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/enable-kube-podmaster.sh 644 /bin/sh
openstack-magnum-common.noarch: E: no-changelogname-tag
openstack-magnum-common.noarch: W: no-documentation
openstack-magnum-common.noarch: W: non-standard-uid /var/lib/magnum/certificates magnum
openstack-magnum-common.noarch: W: non-standard-uid /etc/magnum magnum
openstack-magnum-common.noarch: W: non-standard-gid /etc/magnum/policy.json magnum
openstack-magnum-common.noarch: E: non-readable /etc/magnum/policy.json 640
openstack-magnum-common.noarch: W: non-standard-gid /etc/magnum/magnum.conf magnum
openstack-magnum-common.noarch: E: non-readable /etc/magnum/magnum.conf 640
openstack-magnum-common.noarch: W: non-standard-uid /var/run/magnum magnum
openstack-magnum-common.noarch: E: dir-or-file-in-var-run /var/run/magnum
openstack-magnum-common.noarch: E: incoherent-logrotate-file /etc/logrotate.d/openstack-magnum
openstack-magnum-common.noarch: W: non-standard-uid /var/log/magnum magnum
openstack-magnum-common.noarch: E: non-standard-dir-perm /var/log/magnum 750
openstack-magnum-common.noarch: W: non-standard-uid /var/lib/magnum magnum
openstack-magnum-common.noarch: W: no-manual-page-for-binary magnum-template-manage
openstack-magnum-common.noarch: W: no-manual-page-for-binary magnum-db-manage
openstack-magnum-conductor.noarch: E: no-changelogname-tag
openstack-magnum-conductor.noarch: W: no-manual-page-for-binary magnum-conductor
openstack-magnum-api.noarch: E: no-changelogname-tag
openstack-magnum-api.noarch: W: no-manual-page-for-binary magnum-api
openstack-magnum-doc.noarch: E: no-changelogname-tag
openstack-magnum-doc.noarch: W: file-not-utf8 /usr/share/doc/openstack-magnum-doc/html/objects.inv
python-magnum-tests.noarch: E: no-changelogname-tag
python-magnum-tests.noarch: W: no-documentation
openstack-magnum.src: E: no-changelogname-tag
openstack-magnum.src:132: W: mixed-use-of-spaces-and-tabs (spaces: line 132, tab: line 6)
openstack-magnum.src: W: invalid-url Source0: http://tarballs.openstack.org/magnum/magnum-1.1.1.dev306.tar.gz HTTP Error 404: Not Found
7 packages and 0 specfiles checked; 54 errors, 17 warnings.




Rpmlint (installed packages)
----------------------------
openstack-magnum-conductor.noarch: E: no-changelogname-tag
openstack-magnum-conductor.noarch: W: no-manual-page-for-binary magnum-conductor
openstack-magnum-api.noarch: E: no-changelogname-tag
openstack-magnum-api.noarch: W: no-manual-page-for-binary magnum-api
python-magnum-tests.noarch: E: no-changelogname-tag
python-magnum-tests.noarch: W: no-documentation
python-magnum.noarch: E: explicit-lib-dependency python-urllib3
python-magnum.noarch: E: no-changelogname-tag
python-magnum.noarch: W: no-documentation
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/mesos/fragments/configure-mesos-slave.sh 644 /bin/bash
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/write-swarm-agent-service.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/add-proxy.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/mesos/fragments/start-services-master.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/write-kube-os-config.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/write-network-config.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/enable-services-minion.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/make-cert-client.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/network-config-service.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/configure-etcd.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/configure-kubernetes-master.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/kube-system-namespace-service.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/enable-kube-proxy-minion.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/write-network-config.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/network-service.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/configure-docker-storage.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/configure-etcd.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/remove-docker-key.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/mesos/fragments/configure-mesos-master.sh 644 /bin/bash
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/enable-kube-podmaster.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/kube-ui-service.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/make-cert.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/mesos/fragments/write-heat-params-master.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/network-config-service.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/write-docker-service.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/enable-docker-registry.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/mesos/fragments/start-services-slave.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/write-swarm-master-service.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/configure-docker-registry.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/configure-docker-storage.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/mesos/fragments/add-proxy.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/enable-services-master.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/cfn-signal.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/configure-kubernetes-minion.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/network-service.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/make-cert.py 644 /usr/bin/python
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/enable-services.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/enable-kube-proxy-master.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/enable-etcd.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/swarm/fragments/add-proxy.sh 644 /bin/sh
python-magnum.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/magnum/templates/kubernetes/fragments/configure-flannel.sh 644 /bin/sh
openstack-magnum-doc.noarch: E: no-changelogname-tag
openstack-magnum-doc.noarch: W: file-not-utf8 /usr/share/doc/openstack-magnum-doc/html/objects.inv
openstack-magnum-common.noarch: E: no-changelogname-tag
openstack-magnum-common.noarch: W: no-documentation
openstack-magnum-common.noarch: W: non-standard-uid /var/run/magnum magnum
openstack-magnum-common.noarch: E: dir-or-file-in-var-run /var/run/magnum
openstack-magnum-common.noarch: W: non-standard-uid /var/log/magnum magnum
openstack-magnum-common.noarch: E: non-standard-dir-perm /var/log/magnum 750
openstack-magnum-common.noarch: E: incoherent-logrotate-file /etc/logrotate.d/openstack-magnum
openstack-magnum-common.noarch: W: non-standard-uid /var/lib/magnum magnum
openstack-magnum-common.noarch: W: non-standard-gid /etc/magnum/policy.json magnum
openstack-magnum-common.noarch: E: non-readable /etc/magnum/policy.json 640
openstack-magnum-common.noarch: W: non-standard-uid /etc/magnum magnum
openstack-magnum-common.noarch: W: non-standard-gid /etc/magnum/magnum.conf magnum
openstack-magnum-common.noarch: E: non-readable /etc/magnum/magnum.conf 640
openstack-magnum-common.noarch: W: non-standard-uid /var/lib/magnum/certificates magnum
openstack-magnum-common.noarch: W: no-manual-page-for-binary magnum-template-manage
openstack-magnum-common.noarch: W: no-manual-page-for-binary magnum-db-manage
6 packages and 0 specfiles checked; 53 errors, 15 warnings.



Requires
--------
openstack-magnum-conductor (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    openstack-magnum-common
    systemd

openstack-magnum-api (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    openstack-magnum-common
    systemd

python-magnum-tests (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/env
    python(abi)
    python-magnum

python-magnum (rpmlib, GLIBC filtered):
    /bin/bash
    PyYAML
    python(abi)
    python-alembic
    python-babel
    python-barbicanclient
    python-cryptography
    python-decorator
    python-docker-py
    python-enum34
    python-eventlet
    python-glanceclient
    python-greenlet
    python-heatclient
    python-iso8601
    python-jsonpatch
    python-keystoneclient
    python-keystonemiddleware
    python-netaddr
    python-novaclient
    python-oslo-concurrency
    python-oslo-config
    python-oslo-context
    python-oslo-db
    python-oslo-i18n
    python-oslo-log
    python-oslo-messaging
    python-oslo-middleware
    python-oslo-policy
    python-oslo-reports
    python-oslo-serialization
    python-oslo-service
    python-oslo-utils
    python-oslo-versionedobjects
    python-paramiko
    python-prettytable
    python-requests
    python-six
    python-sqlalchemy
    python-stevedore
    python-taskflow
    python-urllib3
    python-webob
    python2-pecan
    python2-wsme

openstack-magnum-doc (rpmlib, GLIBC filtered):
    python-magnum

openstack-magnum-common (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    config(openstack-magnum-common)
    python-magnum
    shadow-utils



Provides
--------
openstack-magnum-conductor:
    openstack-magnum-conductor

openstack-magnum-api:
    openstack-magnum-api

python-magnum-tests:
    python-magnum-tests

python-magnum:
    python-magnum

openstack-magnum-doc:
    openstack-magnum-doc

openstack-magnum-common:
    config(openstack-magnum-common)
    openstack-magnum-common



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n openstack-magnum -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

I had to add the following macro to the spec file to allow fedora-review to pass:

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

While this is not needed for Delorean, it would be good to add it to the spec for compatibility before uploading to the repo.

The directory created under /var/run should not be needed, I think. However, I've seen it in other packages, e.g. cinder/heat, so it's not a problem.

The package is APPROVED, let's move on with it.
Comment 15 Stephen Gordon 2016-02-17 17:07:38 EST
Stupid question, what are the next steps here?
Comment 16 Javier Peña 2016-02-18 06:24:21 EST
Once the spec is imported into github.com/openstack-packages and it is built on Delorean, we should be done.

I see the package is already being built: http://trunk.rdoproject.org/centos7/18/a6/18a6cf6f978af7247b60b7d0c40849b2684ff0c8_24f3dd10/rpmbuild.log , so we can just close the bug.

Note You need to log in before you can comment on or make changes to this bug.